const util = require('../../../utils/util.js')
const md5 = require('../../../utils/md5.js')

/* 手机 验证码 相关内容 */
const BindAccount = {
  /* 跳转 手机登录 */
  phoneLogin: function () { this.setData({ 'bindaccount.isShow': "" }); this.setData({ 'bindphone.isShow': "on" }); },

  /* 账号输入 离开 input blur事件监听 */
  inputAccount: function (e) { this.setData({ 'bindaccount.account': e.detail.value }); },
  /* 密码输入 离开 input blur事件监听 */
  inputPwd: function (e) { this.setData({ 'bindaccount.pwd': e.detail.value }); },
  
  /* 点击确定 */
  accountConfirm: function (e) {
    const _that = this, _bind = _that.data.bindaccount
    
    /* 调用接口 - 使用账号登录 */
    wx.request({
      url: util.config.URL_PATH2 + '/user_center/login',
      data: {
        login_name: _bind.account,
        password: md5('uokoaduw' + _bind.pwd.split('').reverse().join('') + 'auhgniq'),
        service: 'applet.ezijing.com' }, method: 'POST', header: {
        'tenant': util.config.tenant, 
        'content-type': 'application/x-www-form-urlencoded',
        'apikey': 'kZjHzONjsfkJZPvHwVHMTXvmjZ9D30pS'
      },
      success: function (res) {
        if (res.statusCode && res.statusCode != 200) { wx.showToast({ title: res.data.message, icon: 'none' }); return; }
        wx.hideToast()
        wx.setStorageSync('userSession', { sessionKey: res.data.ticket });
        
        let _token = wx.getStorageSync('userSession').sessionKey
        if (!_token) {
          wx.reLaunch({ url: '/pages/index/index' })
          return ;
        }
        /* 获取用户信息 */
        wx.request({
          url: util.config.URL_PATH1 + '/user/check-access',
          data: {}, method: 'GET', header: {
            token: _token,
            tenant: util.config.tenant,
            'apikey': 'kZjHzONjsfkJZPvHwVHMTXvmjZ9D30pS',
            unionid: wx.getStorageSync('union_id')
          },
          success: res => {
            if (res.statusCode != 200) { wx.showToast({ title: res.data.message, icon: 'none' }); return; }
            let _userInfo = {
              avatarUrl: res.data.avatar || _that.tempUserInfo.avatarUrl || '无',
              nickName: res.data.nickname || _that.tempUserInfo.nickName || '无'
            }
            wx.setStorageSync('userInfo', _userInfo);
            _that.setData({ userInfo: _userInfo, hasUserInfo: true })
            _that.popupClose()
            _that.goOutSite()
          }
        })
      },
      fail: function (res) { wx.hideToast(); wx.showToast({ title: res, icon: 'none' }); }
    })
  }
}

module.exports = {
  BindAccount: BindAccount,
}